from sqlalchemy import Integer, Column, String

from project.database import Base


class User(Base):

    __tablename__ = "users"

    id = Column(Integer, primary_key=True, autoincrement=True)
    username = Column(String(128), unique=True, nullable=False)
    email = Column(String(128), unique=True, nullable=False)

    def __init__(
        self, username, email, *args, **kwargs  # pylint: disable=unused-argument
    ) -> None:
        self.username = username
        self.email = email
